Bug 54311 - C++ parser does not detect class definition
C++ parser does not detect class definition
Status: CLOSED WONTFIX
Product: Source-Navigator
Classification: Retired
Component: cbrowser (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Syd Polk
Syd Polk
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-04 03:06 EDT by greg hosler
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 15:41:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample files that C++ parser does not detect class in (3.73 KB, application/octet-stream)
2001-10-04 21:32 EDT, greg hosler
no flags Details

  None (edit)
Description greg hosler 2001-10-04 03:06:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686; Nav)

Description of problem:
I found a class defn file (C++ ".h" file) whereby the C++ parser gets
confsed enough
to not detect a class definition. I observe that by altering 2 comment
lines, I can get
the C++ parser to see the class definition. The attachment to this report
includes 2 files.
The original header file (Cep.h) where the class Cep is not detected, and a
Cep.h.fixed
file where the class Cep is detected.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Load project with Cep.h, note that class Cep does not get detected.
2. replace Cep.h with Cep.h.fixed, revert file, and save. Note that class
Cep is now
   detected.
3.
	

Actual Results:  class not detected

Expected Results:  clkass should have been detected

Additional info:

SN 5.0 running on fresh enigma (RH 7.2) installation
Comment 1 greg hosler 2001-10-04 21:32:12 EDT
Created attachment 33421 [details]
sample files that C++ parser does not detect class in
Comment 2 Elliot Lee 2004-08-23 15:41:07 EDT
Closing bugs for old packages that don't have a maintainer.

Note You need to log in before you can comment on or make changes to this bug.